/* Кнопка, используемая для открытия формы чата - закреплена в нижней части страницы */
.open-button-2 {
color: white;
padding: 16px 20px;
border: none;
cursor: pointer;
/*opacity: 0.8;*/
/**/position: fixed;
bottom: 23px;
right: -20px;
border-radius: 5px;
border-width: 2px;
bottom: 100px;
z-index: 9999999999999999999;
margin-bottom: -100px;
}
/* Всплывающий чат - скрыт по умолчанию */
.chat-popup {
display: none;
position: fixed;
bottom: 0;
right: 15px;
border: 3px solid #FFFFFF;
border-radius: 20px;
z-index: 99999;
color: white;
}
/* Добавление стилей в контейнер формы */
.form-container {
padding: 5px;
background-color: #118445;
border-radius: 20px;
z-index: 99999;
border-radius: 20px;
}
/* Полноразмерная текстовая область */
.form-container textarea {
padding: 2px;
height: 150px;
margin: 2px 0 2px 0;
border: none;
background: #FFFFFF;
resize: none;
border-radius: 5px;
width: 100%;
z-index: 99999;
}

input {
height: 25px;
}


.form-container input {
height: 25px;
width: 100%;
padding: 2px;
margin: 2px 0 2px 0;
border: none;
background: #FFFFFF;
resize: none;
border-radius: 5px;
z-index: 99999;
}
/* Когда текстовая область получит фокус, сделайте что-нибудь */
.form-container textarea:focus {
background-color: #ddd;
outline: none;
border-radius: 5px;
z-index: 99999;
color: #000000;
}
textarea {
height: 170px;
font-size:12pt;
width: 100%;
z-index: 99999;
color: #000000;
}
/* Установите стиль для кнопки отправить/кнопка */
.form-container .btn {
background-color: #000FFF;
color: white;
padding: 5px 5px;
border: none;
cursor: pointer;
width: 150px;
margin-bottom:10px;
opacity: 0.8;
border-radius: 20px;
z-index: 99999;
}
/* Добавьте красный цвет фона к кнопке отмена */
.form-container .cancel {
background-color: #F95915;
border-radius: 20px;
z-index: 99999;
}
.btn {
border-radius: 20px;
background-color: #000FFF;
z-index: 99999;
color: white;
}
/* Добавьте некоторые эффекты наведения на кнопки */
.form-container
.btn:hover,
.open-button:hover {
opacity: 1;
border-radius: 20px;
background-color: #33CC33; /* зеленый*/
z-index: 99999;
color: white;
}
a#scrollUp {
display: none;
z-index: 99999;
}
element.style {
display: none;
z-index: 99999;
}

.chat-top {
background-color: #FFF;
min-height: 450px; /* Установленная максимальная высота */
overflow-y: auto; /* Прокрутка активируется при необходимости */
margin-top: 5px;
position: absolute;
z-index: 9999999;
border-radius: 20px;
background-color: #118445;
}
.messages {
background-color: #118445;
z-index: 9999999;
padding: 10px;
font-size:10pt;
border-radius: 20px;
color: white;
width: 300px;
text-align: justify;
}
.btn {
border-radius: 20px;

}

.chat-popup {
border-radius: 20px;
background-color: #118445;
color: white;
}
